Subject: Re: [Linux-kernel] [PATCH] sh_eth: call of_mdiobus_register() to register phys

From: Ben Dooks <[email-masked]>
Date: Mon, 17 Feb 2014 16:44:24 +0000

On 17/02/14 15:46, Ben Dooks wrote:
> On 17/02/14 16:40, Sergei Shtylyo

[snip]

>
>>> +        return 0;
>>> +    }
>>> +
>>>       /* PHY IRQ */
>>>       mdp->mii_bus->irq = devm_kzalloc(&ndev->dev,
>>>                        sizeof(int) * PHY_MAX_ADDR,
>>>
>>
>>      Hm, I can only hope this works with PHY IRQ in DT mode.
>> Would you mind if I include your patch into my Ether DT patch?
>
> You are welcome to include it in your series, but I would like
> to keep the credit for finding this.
>
> Also, FYI, for some reason the probe is not finding the correct
> IRQ for this. I will have a look later when I get the board back
> as to why this is:
>
> net eth0: attached PHY 1 (IRQ -1) to driver Micrel KSZ8041RNLI

I've sent a fix for of_mdio to set phy->irq correctly and will
re-send this as a v2 patch shortly.

-- 
Ben Dooks				http://www.codethink.co.uk/
Senior Engineer				Codethink - Providing Genius